import { NsNavProductCard } from '.';
import { render } from '@/test-utils/index';

const productImage = `
    https://media.nuskin.com/m/471880e8f6e689f4/Lumi-IO-normal-combo-cleansing-device-and-cleanser.png
`;

describe('Product Card Component', () => {
    it('1. should render Product Card Component', () => {
        const { container } = render(
            <NsNavProductCard
                additionalProps={{
                    ariaLabel: 'test',
                    'data-cslp': 'test',
                }}
                productDescription="ageLOC LumiSpa iO pairs an intelligent"
                productName="ageLOC® LumiSpa® iO"
                productImg={productImage}
            />
        );
        expect(container).toBeInTheDocument();
        expect(container).toHaveTextContent('ageLOC® LumiSpa® iO');
    });
});
