import { HtmlTagVariant } from './types';

const HtmlTagVariantMapping: Record<string, HtmlTagVariant> = {
    h1: 'h1',
    h2: 'h2',
    h3: 'h3',
    h4: 'h4',
    h5: 'h5',
    h6: 'h6',
    CTA: 'span',
    'title-l': 'h3',
    'title-m': 'h5',
    'title-s': 'h6',
    'label-l': 'label',
    'label-m': 'label',
    'label-s': 'label',
    'body-xl': 'p',
    'body-l': 'p',
    'body-m': 'p',
    'body-s': 'p',
    'body-xs': 'p',
};

export default HtmlTagVariantMapping;
