import { AdditionalProps } from '../common.types';
import { NsIconNameType } from '../icon';

export type NsBreadcrumbProps = {
    items?: ItemProps[];
    underline?: boolean;
    separator?: 'chevronRight' | 'slash';
};

export type ItemProps = {
    label?: string;
    href?: string;
    icon?: NsIconNameType;
} & AdditionalProps;
