import { ButtonProps as MUIButtonProps } from '@mui/material';
import { NsIconProps } from '../icon';

export type NsButtonProps = Pick<
    MUIButtonProps,
    | 'aria-label'
    | 'className'
    | 'color'
    | 'disabled'
    | 'endIcon'
    | 'fullWidth'
    | 'href'
    | 'onBlur'
    | 'onClick'
    | 'onChange'
    | 'onFocus'
    | 'size'
    | 'startIcon'
    | 'type'
    | 'variant'
> & {
    iconOnly?: boolean;
    darkModeEnabled?: boolean;
    startIconName?: NsIconProps['name'];
    endIconName?: NsIconProps['name'];
};
