export const factorMap: any = {
    reverse: {
        right: -1,
        left: 1,
    },
    forward: {
        right: 1,
        left: -1,
    },
};

export const arrowVisibility = (
    total: number,
    direction: 'left' | 'right',
    reverse: boolean = false,
    currentIndex: number | undefined = -1
) => {
    if (direction === 'left') {
        if (!reverse) {
            return currentIndex < 1 ? 'hidden' : 'visible';
        } else {
            return currentIndex >= total - 1 ? 'hidden' : 'visible';
        }
    }
    if (!reverse) {
        return currentIndex >= total - 1 ? 'hidden' : 'visible';
    } else {
        return currentIndex < 1 ? 'hidden' : 'visible';
    }
};
